Using a Natural Data Source

#### Search Results

Search

# Using a Natural Data Source

This function enables you to generate an XML document from a data definition held in a Natural local, global or parameter data area.

The following topics are covered:

- Select Natural Data Area

- Select Data Type

- Generate File with DTD Definition or XML Schema

- Generate a serializer for an XML document

- Generate a parser for an XML document

- Parameter Settings

- Select Root Group

- Show Generation Report

See also:

- Using a Document Type Definition as Data Source

- Setting up Specific Generation Options

## Select Natural Data Area

This dialog serves to select generation from a Natural Data Structure or a XML Schema or Document Type Definition.

To invoke the dialog shown below

1. Activate the XML Plug-In in 'Tools' > 'Configuration Tools' > 'Plug-In Manager' > 'XML Toolkit'.

   Or:
   Alternatively choose the button to open the Plug-In Manager.

2. Select 'Tools' > 'Development Tools' > ' XML Toolkit'.

Note
The entries shown in the dialogs below are default or example values.

Choose if you would like to generate from a Natural Data Source or from a XML Schema or DTD.

Select Next to continue.

#### Field Descriptions

Library

Belongs to Group: | Select Input Data Area
Default Value: | (All libraries)

Type

Belongs to Group: | Select Input Data Area

Name

Belongs to Group: | Select Input Data Area
Format/Length: | A8
Default Value: | (All objects of the selected library and type)

## Select Data Type

This dialog is used to select the data type.

#### Field Descriptions

Library

Belongs to Group: | Library
Default Value: | (All libraries)

Type

Belongs to Group: | Type
Possible Values: | Local Data Area Parameter Data Area Global Data Area

Name

Belongs to Group: | Name
Default Value: | (All objects of the selected library and type)

Select the desired element, e.g. EMPLOYEE .

Choose Next to continue.

## Generate File with DTD Definition or XML Schema

In this dialog you can specify a file name for the output data area.

Choose Next to continue.

## Generate a serializer for an XML document

This dialog is used to specify a Natural Library, file type and file name for the output source.

#### Field Descriptions

Library

Belongs to Group: | Library
Default Value: | (All libraries)

Type

Belongs to Group: | Type
Possible Values: | Copycode Subprogram

Name

Belongs to Group: | Name
Default Value: | (All objects of the selected library and type)

Choose Next to continue.

## Generate a parser for an XML document

This dialog is used to generate copycode as implementation for the serialization of the given group into an XML document.

#### Field Descriptions

Library

Belongs to Group: | Library
Default Value: | (All libraries)

Type

Belongs to Group: | Type
Possible Values: | Copycode Subprogram

Name

Belongs to Group: | Name
Default Value: | (All objects of the selected library and type)

Choose Next to continue.

## Parameter Settings

This screen shows you the settings used for the generation process.

Choose Next to continue.

## Select Root Group

In this dialog you can select the Root Group .

Choose OK to continue.

## Show Generation Report

After the generation is complete, the generation report is displayed.

Choose Finish to end the generation process.

### On this page

- Select Natural Data Area
- Select Data Type
- Generate File with DTD Definition or XML Schema
- Generate a serializer for an XML document
- Generate a parser for an XML document
- Parameter Settings
- Select Root Group
- Show Generation Report